[Slackbuilds-users] 0001-games-beetle-psx-libretro-update-for-version-2022.02.patch

khronosschoty khronosschoty at posteo.org
Thu Feb 24 21:06:28 UTC 2022


forgot to do a few 15 template sytle changed / updates -- fixed
-------------- next part --------------
From a8abcab5e2aac73a37f40c424c314710c8ccafa8 Mon Sep 17 00:00:00 2001
From: khronosschoty <khronosschoty at posteo.org>
Date: Thu, 24 Feb 2022 12:55:51 -0800
Subject: [PATCH 1/1] games/beetle-psx-libretro: update for version
 2022.02.11_88929ae + new maintainer

---
 games/beetle-psx-libretro/README              |  39 +++++++
 .../beetle-psx-libretro.SlackBuild            | 108 ++++++++++++++++++
 .../beetle-psx-libretro.info                  |  10 ++
 games/beetle-psx-libretro/slack-desc          |  19 +++
 4 files changed, 176 insertions(+)
 create mode 100644 games/beetle-psx-libretro/README
 create mode 100755 games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild
 create mode 100644 games/beetle-psx-libretro/beetle-psx-libretro.info
 create mode 100644 games/beetle-psx-libretro/slack-desc

diff --git a/games/beetle-psx-libretro/README b/games/beetle-psx-libretro/README
new file mode 100644
index 00000000000..8f9444318fe
--- /dev/null
+++ b/games/beetle-psx-libretro/README
@@ -0,0 +1,39 @@
+Mednafen PSX (Beetle PSX) is a Sony PlayStation1 video game system
+emulator that can be used as a libretro core. It is a libretro port of
+Mednafen PlayStation.
+
+Mednafen-PSX requires the following BIOS image files for operation:
+
+* scph5500.bin (MD5 sum: 8dd7d5296a650fac7319bce665a6a53c) NTSC-J
+* scph5501.bin (MD5 sum: 490f666e1afb15b7362b406ed1cea246) NTSC-U
+* scph5502.bin (MD5 sum: 32736f17079d0b2b7024407c39bd3050) PAL
+
+The bios names are case sensitive.
+
+The scph7003.bin BIOS image is the same as scph5501.bin, but will need
+to be renamed to scph5501.bin to be used.
+
+Mednafen can load CD-ROM games from a ripped/dumped copy of the
+disc such as CUE+BIN, CloneCD "CCD/IMG/SUB" rips and cdrdao "TOC"
+files. For games with more than one CD create a M3U file(plain-text,
+".m3u" extension) and enter the filenames of the CUE/TOC/CCD files.
+
+Beetle PSX can use an OpenGL or Vulkan renderer instead of the
+accurate software renderer. This will require support in the libretro
+frontend, video card and driver.
+
+To switch between OpenGL and Vulkan renderers configure the video
+driver in RetroArch. This can be done in the menu at 'Settings >
+Drivers > Video Driver'.
+
+To build the OpenGL renderer use:
+  OPENGL=1 ./beetle-psx-libretro.SlackBuild
+
+To build the Vulkan renderer use:
+  VULKAN=1 ./beetle-psx-libretro.SlackBuild
+
+To build both the OpenGL and Vulkan renderers use:
+  HW=1 ./beetle-psx-libretro.SlackBuild
+
+To build the debugging symbols use:
+  DEBUG=1 ./beetle-psx-libretro.SlackBuild
diff --git a/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild b/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild
new file mode 100755
index 00000000000..aef6506a6d0
--- /dev/null
+++ b/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for beetle-psx-libretro
+
+# Copyright 2016-2018 Hunter Sezen
+# Copyright 2022 Vasily Sora USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=beetle-psx-libretro
+LIBNAM=mednafen_psx_libretro
+VERSION=${VERSION:-2022.02.11_88929ae}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i586 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+  exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+LIBDIRSUFFIX=
+[ "$ARCH" = x86_64 ] && LIBDIRSUFFIX=64
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+[ "${HW:-0}" != 0 ] && { OPENGL=1; VULKAN=1; }
+[ "${OPENGL:=0}" != 0 ] && OPENGL=1
+[ "${VULKAN:=0}" != 0 ] && VULKAN=1
+
+if [ $OPENGL != 0 ] || [ $VULKAN != 0 ]; then
+  LIBNAM="$(printf %s "$LIBNAM" | sed 's/psx/psx_hw/')"
+fi
+
+make \
+  DEBUG=$DEBUG \
+  VULKAN_DEBUG=$DEBUG \
+  HAVE_OPENGL=$OPENGL \
+  HAVE_VULKAN=$VULKAN \
+  GIT_VERSION="${VERSION#*_}"
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+
+if [ $DEBUG = 0 ]; then
+  find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+    grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/parallel-psx
+for DOCDIR in . parallel-psx; do
+  for DOC in COPYING README.md; do
+    cp -a $DOCDIR/$DOC $PKG/usr/doc/$PRGNAM-$VERSION/$DOCDIR
+  done
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/beetle-psx-libretro/beetle-psx-libretro.info b/games/beetle-psx-libretro/beetle-psx-libretro.info
new file mode 100644
index 00000000000..5e013141b36
--- /dev/null
+++ b/games/beetle-psx-libretro/beetle-psx-libretro.info
@@ -0,0 +1,10 @@
+PRGNAM="beetle-psx-libretro"
+VERSION="2022.02.11_88929ae"
+HOMEPAGE="https://www.libretro.com/"
+DOWNLOAD="http://repo.schotynet.org/sources/libretro/beetle-psx-libretro-2022.02.11_88929ae.tar.gz"
+MD5SUM="392b6e728b565c4f1cc4189e115868d5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="khronosschoty"
+EMAIL="khronosschoty at posteo.org"
diff --git a/games/beetle-psx-libretro/slack-desc b/games/beetle-psx-libretro/slack-desc
new file mode 100644
index 00000000000..c4d2bc1506a
--- /dev/null
+++ b/games/beetle-psx-libretro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+                   |-----handy-ruler------------------------------------------------------|
+beetle-psx-libretro: beetle-psx-libretro (libretro fork of Mednafen PSX)
+beetle-psx-libretro:
+beetle-psx-libretro: Mednafen PSX (Beetle PSX) is a Sony PlayStation1 video game system
+beetle-psx-libretro: emulator that can be used as a libretro core. It is a libretro port
+beetle-psx-libretro: of Mednafen PlayStation.
+beetle-psx-libretro:
+beetle-psx-libretro: Homepage: https://www.libretro.com/
+beetle-psx-libretro:
+beetle-psx-libretro:
+beetle-psx-libretro:
+beetle-psx-libretro:
-- 
2.35.1

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 870 bytes
Desc: not available
URL: <http://lists.slackbuilds.org/pipermail/slackbuilds-users/attachments/20220224/54d6a6d5/attachment-0001.asc>


More information about the SlackBuilds-users mailing list